let counter = 0;

exports = {
  install: function () {
    let s = $schedule
      .create({
        name: "test_schedule",
        data: { counter: ++counter },
        schedule_at: new Date(Date.now() + 10000).toISOString(), // 10 seconds in the future
        repeat: {
          time_unit: "minutes",
          frequency: 1,
        },
      })
      .then(renderData)
      .fail(function (e) {
        console.log("I got thrown an error", e);
      });
    console.log("$schedule returns", s);
  },

  onSchedule: function (args) {
    console.log("Schedule ran with", args);
  },
};
